ID CVE-2020-24412
Summary Adobe Illustrator version 24.1.2 (and earlier) is affected by a memory corruption vulnerability that occurs when parsing a specially crafted .svg file. This could result in arbitrary code execution in the context of the current user. This vulnerability requires user interaction to exploit.
References
Vulnerable Configurations
  • cpe:2.3:a:adobe:illustrator:7.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:7.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:8.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:8.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:9.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:9.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:10.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:10.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:11.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:11.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:11.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:11.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:12.0.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:12.0.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:13.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:13.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:13.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:13.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:13.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:13.0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:13.0.3:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:13.0.3:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:14.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:14.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:15.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:15.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.0.3:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.0.3:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.0.4:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.0.4:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.0.5:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.0.5:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.2.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.2.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.2.1:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.2.1:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.2.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.2.2:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:24.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:24.0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:24.1.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:24.1.2:*:*:*:*:*:*:*
  • cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*
    cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*
CVSS
Base: 6.8 (as of 14-09-2021 - 17:36)
Impact:
Exploitability:
CWE CWE-787
CAPEC
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
cvss-vector via4 AV:N/AC:M/Au:N/C:P/I:P/A:P
refmap via4
misc https://helpx.adobe.com/security/products/illustrator/apsb20-53.html
Last major update 14-09-2021 - 17:36
Published 20-10-2020 - 22:15
Last modified 14-09-2021 - 17:36
Back to Top